pastel-distinct(1)

NAME
pastel-distinct - Generate a set of visually distinct colors

SYNOPSIS
pastel distinct [-m|--metric] [-v|--verbose] [-h|--help] [count] [color]

DESCRIPTION
Generate a set of visually distinct colors by maximizing the perceived color difference between pairs of colors.

The default parameters for the optimization procedure (simulated annealing) should work fine for up to 10-20 colors.

OPTIONS

-m, --metric <name> [default: CIE76]
    Distance metric to compute mutual color distances. The CIEDE2000 is more accurate, but also much slower.

    [possible values: CIEDE2000, CIE76]

-v, --verbose
    Print simulation output to STDERR

-h, --help
    Print help (see a summary with '-h')

[count] [default: 10]
    Number of distinct colors in the set

[color]
    Colors can be specified in many different formats, such as #RRGGBB, RRGGBB, #RGB, 'rgb(…, …, …)', 'hsl(…, …, …)', 'gray(…)' or simply by the name of the color. The identifier '-' can be used to read a single color from standard input. Also, the special identifier 'pick' can be used to run an external color picker to choose a color. If no color argument is specified, colors will be read from standard input. Examples (all of these specify the same color):
      - lightslategray
      - '#778899'
      - 778899
      - 789
      - 'rgb(119, 136, 153)'
      - '119,136,153'
      - 'hsl(210, 14.3%, 53.3%)' Alpha transparency is also supported:
      - '#77889980'
      - 'rgba(119, 136, 153, 0.5)'
      - 'hsla(210, 14.3%, 53.3%, 50%)'